import mongoose from 'mongoose';

const ConditionTemplateSchema = new mongoose.Schema({
  first_id: mongoose.Schema.Types.ObjectId,
  name: String,
  version: Number,
  parameters: [{
    name: String,
    range: mongoose.Schema.Types.Mixed
  }]
}, {minimize: false});  // to allow empty objects

export default mongoose.model('condition_template', ConditionTemplateSchema);